Chapter 1. Installing the IBM WebSphere sMash CLI

In the Introduction, we talked about the four different IBM WebSphere sMash offerings. For the purposes of this book, any version should be appropriate. So, feel free to download the latest Project Zero build or the latest IBM WebSphere sMash Developer Edition. Before we do that, though, let’s prepare our Java development environment.

First Things First: Java Development Environment

Prior to installing the sMash CLI, you must ensure that you have a functional Java SE Development Kit (JDK™) version 5 or 6 installed. It is important to remember that you cannot use the Java SE Runtime Environment (JRE™) to develop with sMash. The AppBuilder development environment requires libraries found only ...

Get Getting Started with IBM WebSphere sMash now with O’Reilly online learning.

O’Reilly members experience live online training, plus books, videos, and digital content from 200+ publishers.